Index: trunk/cfg/encoder_intra_he10.cfg
===================================================================
--- trunk/cfg/encoder_intra_he10.cfg	(revision 586)
+++ trunk/cfg/encoder_intra_he10.cfg	(revision 588)
@@ -44,6 +44,4 @@
 #=========== Misc. ============
 #InternalBitDepth             : 10          # codec operating bit-depth
-InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
-InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: trunk/cfg/encoder_intra_main.cfg
===================================================================
--- trunk/cfg/encoder_intra_main.cfg	(revision 586)
+++ trunk/cfg/encoder_intra_main.cfg	(revision 588)
@@ -49,6 +49,4 @@
 #=========== Misc. ============
 #InternalBitDepth             : 8           # codec operating bit-depth
-InternalBitDepth0             : 8           # codec operating bit-depth for layer 0
-InternalBitDepth1             : 8           # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: trunk/cfg/encoder_intra_main10.cfg
===================================================================
--- trunk/cfg/encoder_intra_main10.cfg	(revision 586)
+++ trunk/cfg/encoder_intra_main10.cfg	(revision 588)
@@ -49,6 +49,4 @@
 #=========== Misc. ============
 #InternalBitDepth             : 10          # codec operating bit-depth
-InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
-InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: trunk/cfg/encoder_lowdelay_P_he10.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_P_he10.cfg	(revision 586)
+++ trunk/cfg/encoder_lowdelay_P_he10.cfg	(revision 588)
@@ -51,6 +51,4 @@
 #=========== Misc. ============
 #InternalBitDepth             : 10          # internal bit-depth = BitDepth + BitIncrement
-InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
-InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: trunk/cfg/encoder_lowdelay_P_main.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_P_main.cfg	(revision 586)
+++ trunk/cfg/encoder_lowdelay_P_main.cfg	(revision 588)
@@ -54,6 +54,4 @@
 #=========== Misc. ============
 #InternalBitDepth             : 8           # codec operating bit-depth
-InternalBitDepth0             : 8           # codec operating bit-depth for layer 0
-InternalBitDepth1             : 8           # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: trunk/cfg/encoder_lowdelay_P_main10.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_P_main10.cfg	(revision 586)
+++ trunk/cfg/encoder_lowdelay_P_main10.cfg	(revision 588)
@@ -56,6 +56,4 @@
 #=========== Misc. ============
 #InternalBitDepth             : 10          # codec operating bit-depth
-InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
-InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: trunk/cfg/encoder_lowdelay_he10.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_he10.cfg	(revision 586)
+++ trunk/cfg/encoder_lowdelay_he10.cfg	(revision 588)
@@ -49,6 +49,4 @@
 #=========== Misc. ============
 #InternalBitDepth             : 10          # codec operating bit-depth
-InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
-InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: trunk/cfg/encoder_lowdelay_main.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_main.cfg	(revision 586)
+++ trunk/cfg/encoder_lowdelay_main.cfg	(revision 588)
@@ -54,6 +54,4 @@
 #=========== Misc. ============
 #InternalBitDepth             : 8           # codec operating bit-depth
-InternalBitDepth0             : 8           # codec operating bit-depth for layer 0
-InternalBitDepth1             : 8           # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: trunk/cfg/encoder_lowdelay_main10.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_main10.cfg	(revision 586)
+++ trunk/cfg/encoder_lowdelay_main10.cfg	(revision 588)
@@ -54,6 +54,4 @@
 #=========== Misc. ============
 #InternalBitDepth             : 10          # codec operating bit-depth
-InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
-InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: trunk/cfg/encoder_randomaccess_he10.cfg
===================================================================
--- trunk/cfg/encoder_randomaccess_he10.cfg	(revision 586)
+++ trunk/cfg/encoder_randomaccess_he10.cfg	(revision 588)
@@ -54,6 +54,4 @@
 #=========== Misc. ============
 #InternalBitDepth             : 10          # codec operating bit-depth
-InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
-InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: trunk/cfg/encoder_randomaccess_main.cfg
===================================================================
--- trunk/cfg/encoder_randomaccess_main.cfg	(revision 586)
+++ trunk/cfg/encoder_randomaccess_main.cfg	(revision 588)
@@ -57,6 +57,4 @@
 #=========== Misc. ============
 #InternalBitDepth             : 8           # codec operating bit-depth
-InternalBitDepth0             : 8           # codec operating bit-depth for layer 0
-InternalBitDepth1             : 8           # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: trunk/cfg/encoder_randomaccess_main10.cfg
===================================================================
--- trunk/cfg/encoder_randomaccess_main10.cfg	(revision 586)
+++ trunk/cfg/encoder_randomaccess_main10.cfg	(revision 588)
@@ -57,6 +57,4 @@
 #=========== Misc. ============
 #InternalBitDepth             : 10           # codec operating bit-depth
-InternalBitDepth0             : 10           # codec operating bit-depth for layer 0
-InternalBitDepth1             : 10           # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: trunk/cfg/layers.cfg
===================================================================
--- trunk/cfg/layers.cfg	(revision 586)
+++ trunk/cfg/layers.cfg	(revision 588)
@@ -9,7 +9,10 @@
 CrossLayerPictureTypeAlignFlag: 1           # Picture type alignment across layers
 CrossLayerIrapAlignFlag       : 1           # Align IRAP across layers
+InterLayerWeightedPred        : 0           # enable IL WP parameters estimation at encoder
+
 #============= LAYER 0 ==================
 QP0                           : 22
 MaxTidIlRefPicsPlus10         : 1           # max_tid_il_ref_pics_plus1 for layer0
+InternalBitDepth0             : 8           # codec operating bit-depth for layer 0
 #============ Rate Control ==============
 RateControl0                  : 0           # Rate control: enable rate control for layer 0
@@ -24,4 +27,5 @@
 #============= LAYER 1 ==================
 QP1                           : 20
+InternalBitDepth1             : 8           # codec operating bit-depth for layer 1
 NumSamplePredRefLayers1       : 1           # number of sample pred reference layers
 SamplePredRefLayerIds1        : 0           # reference layer id
Index: trunk/cfg/layers_avcbase.cfg
===================================================================
--- trunk/cfg/layers_avcbase.cfg	(revision 586)
+++ trunk/cfg/layers_avcbase.cfg	(revision 588)
@@ -6,6 +6,8 @@
 CrossLayerPictureTypeAlignFlag: 0           # Picture type alignment across layers
 CrossLayerIrapAlignFlag       : 0           # Align IRAP across layers
+InterLayerWeightedPred        : 0           # enable IL WP parameters estimation at encoder
 #============= LAYER 0 ==================
 QP0                           : 22
+InternalBitDepth0             : 8           # codec operating bit-depth for layer 0
 
 #============ Rate Control ==============
@@ -21,4 +23,5 @@
 #============= LAYER 1 ==================
 QP1                           : 20
+InternalBitDepth0             : 8           # codec operating bit-depth for layer 0
 NumSamplePredRefLayers1       : 1           # number of sample pred reference layers
 SamplePredRefLayerIds1        : 0           # reference layer id
Index: trunk/source/App/TAppDecoder/TAppDecCfg.cpp
===================================================================
--- trunk/source/App/TAppDecoder/TAppDecCfg.cpp	(revision 586)
+++ trunk/source/App/TAppDecoder/TAppDecCfg.cpp	(revision 588)
@@ -148,5 +148,5 @@
 #endif
 #if OUTPUT_LAYER_SET_INDEX  
-  this->getCommonDecoderParams()->setOutputLayerSetIdx( olsIdx       );
+  this->getCommonDecoderParams()->setTargetOutputLayerSetIdx( olsIdx       );
   this->getCommonDecoderParams()->setTargetLayerId    ( m_tgtLayerId );
 #endif
Index: trunk/source/App/TAppDecoder/TAppDecTop.cpp
===================================================================
--- trunk/source/App/TAppDecoder/TAppDecTop.cpp	(revision 586)
+++ trunk/source/App/TAppDecoder/TAppDecTop.cpp	(revision 588)
@@ -81,5 +81,5 @@
   }
 #if SVC_EXTENSION
-  for( Int i = 0; i < m_tgtLayerId; i++ )
+  for( Int i = 0; i <= m_tgtLayerId; i++ )
   {
     if( m_pchReconFile[i] )
Index: trunk/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- trunk/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 586)
+++ trunk/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 588)
@@ -80,7 +80,4 @@
   {
     m_acLayerCfg[layer].setAppEncCfg(this);
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-    m_ilSampleOnlyPred[layer] = 0;
-#endif
   }
   memset( m_scalabilityMask, 0, sizeof(m_scalabilityMask) );
@@ -146,5 +143,4 @@
 {
 #if VPS_EXTN_DIRECT_REF_LAYERS
-#if M0457_PREDICTION_INDICATIONS
   for(Int layer = 0; layer < MAX_LAYERS; layer++)
   {
@@ -152,27 +148,15 @@
     {
       delete [] m_acLayerCfg[layer].m_samplePredRefLayerIds;
-    }
-  }
-  for(Int layer = 0; layer < MAX_LAYERS; layer++)
-  {
+      m_acLayerCfg[layer].m_samplePredRefLayerIds = NULL;
+    }
     if( m_acLayerCfg[layer].m_numMotionPredRefLayers > 0 )
     {
       delete [] m_acLayerCfg[layer].m_motionPredRefLayerIds;
-    }
-  }
-#else
-  for(Int layer = 0; layer < MAX_LAYERS; layer++)
-  {
-    if( m_acLayerCfg[layer].m_numDirectRefLayers > 0 )
-    {
-      delete [] m_acLayerCfg[layer].m_refLayerIds;
-    }
-  }
-#endif
-  for(Int layer = 0; layer < MAX_LAYERS; layer++)
-  {
+      m_acLayerCfg[layer].m_motionPredRefLayerIds = NULL;
+    }
     if( m_acLayerCfg[layer].m_numActiveRefLayers > 0 )
     {
       delete [] m_acLayerCfg[layer].m_predLayerIds;
+      m_acLayerCfg[layer].m_predLayerIds = NULL;
     }
   }
@@ -383,5 +367,4 @@
 #endif
 #if VPS_EXTN_DIRECT_REF_LAYERS
-#if M0457_PREDICTION_INDICATIONS
   Int*    cfg_numSamplePredRefLayers  [MAX_LAYERS];
   string  cfg_samplePredRefLayerIds   [MAX_LAYERS];
@@ -390,9 +373,4 @@
   string  cfg_motionPredRefLayerIds   [MAX_LAYERS];
   string* cfg_motionPredRefLayerIdsPtr[MAX_LAYERS];
-#else
-  Int*    cfg_numDirectRefLayers [MAX_LAYERS];
-  string  cfg_refLayerIds        [MAX_LAYERS];
-  string* cfg_refLayerIdsPtr     [MAX_LAYERS];
-#endif
   Int*    cfg_numActiveRefLayers [MAX_LAYERS];
   string  cfg_predLayerIds       [MAX_LAYERS];
@@ -462,13 +440,8 @@
 #endif
 #if VPS_EXTN_DIRECT_REF_LAYERS
-#if M0457_PREDICTION_INDICATIONS
     cfg_numSamplePredRefLayers  [layer] = &m_acLayerCfg[layer].m_numSamplePredRefLayers;
     cfg_samplePredRefLayerIdsPtr[layer] = &cfg_samplePredRefLayerIds[layer];
     cfg_numMotionPredRefLayers  [layer] = &m_acLayerCfg[layer].m_numMotionPredRefLayers;
     cfg_motionPredRefLayerIdsPtr[layer] = &cfg_motionPredRefLayerIds[layer];
-#else
-    cfg_numDirectRefLayers  [layer] = &m_acLayerCfg[layer].m_numDirectRefLayers;
-    cfg_refLayerIdsPtr      [layer]  = &cfg_refLayerIds[layer];
-#endif
     cfg_numActiveRefLayers  [layer] = &m_acLayerCfg[layer].m_numActiveRefLayers;
     cfg_predLayerIdsPtr     [layer]  = &cfg_predLayerIds[layer];
@@ -551,13 +524,8 @@
 #endif
 #if VPS_EXTN_DIRECT_REF_LAYERS
-#if M0457_PREDICTION_INDICATIONS
   ("NumSamplePredRefLayers%d",cfg_numSamplePredRefLayers, -1, MAX_LAYERS, "Number of sample prediction reference layers")
   ("SamplePredRefLayerIds%d", cfg_samplePredRefLayerIdsPtr, string(""), MAX_LAYERS, "sample pred reference layer IDs")
   ("NumMotionPredRefLayers%d",cfg_numMotionPredRefLayers, -1, MAX_LAYERS, "Number of motion prediction reference layers")
   ("MotionPredRefLayerIds%d", cfg_motionPredRefLayerIdsPtr, string(""), MAX_LAYERS, "motion pred reference layer IDs")
-#else
-  ("NumDirectRefLayers%d",    cfg_numDirectRefLayers, -1, MAX_LAYERS, "Number of direct reference layers")
-  ("RefLayerIds%d",           cfg_refLayerIdsPtr, string(""), MAX_LAYERS, "direct reference layer IDs")
-#endif
   ("NumActiveRefLayers%d",    cfg_numActiveRefLayers, -1, MAX_LAYERS, "Number of active reference layers")
   ("PredLayerIds%d",          cfg_predLayerIdsPtr, string(""), MAX_LAYERS, "inter-layer prediction layer IDs")
@@ -619,5 +587,8 @@
 #endif
 #if N0147_IRAP_ALIGN_FLAG
-    ("CrossLayerIrapAlignFlag", m_crossLayerIrapAlignFlag, true, "align IRAP across layers" )  
+  ("CrossLayerIrapAlignFlag", m_crossLayerIrapAlignFlag, true, "align IRAP across layers" )  
+#endif
+#if O0194_WEIGHTED_PREDICTION_CGS
+  ("InterLayerWeightedPred", m_useInterLayerWeightedPred, false, "enable IL WP parameters estimation at encoder" )  
 #endif
 #if AVC_BASE
@@ -629,7 +600,4 @@
 #endif
   ("EnableElRapB,-use-rap-b",  m_elRapSliceBEnabled, 0, "Set ILP over base-layer I picture to B picture (default is P picture)")
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-  ("IlSampleOnlyPred%d",       m_ilSampleOnlyPred, 0, MAX_LAYERS, "Set inter_layer_sample_pred_only_flag for all slices")
-#endif
 #else //SVC_EXTENSION
   ("InputFile,i",           cfg_InputFile,     string(""), "Original YUV input file name")
@@ -956,6 +924,6 @@
   ("SEIGradualDecodingRefreshInfo",  m_gradualDecodingRefreshInfoEnabled,      0, "Control generation of gradual decoding refresh information SEI message")
   ("SEIDecodingUnitInfo",             m_decodingUnitInfoSEIEnabled,                       0, "Control generation of decoding unit information SEI message.")
-#if M0043_LAYERS_PRESENT_SEI
-  ("SEILayersPresent",               m_layersPresentSEIEnabled,                0, "Control generation of layers present SEI message")
+#if LAYERS_NOT_PRESENT_SEI
+  ("SEILayersNotPresent",            m_layersNotPresentSEIEnabled,             0, "Control generation of layers not present SEI message")
 #endif
   ("SEISOPDescription",              m_SOPDescriptionSEIEnabled,              0, "Control generation of SOP description SEI messages")
@@ -1190,5 +1158,4 @@
   }
 #if VPS_EXTN_DIRECT_REF_LAYERS
-#if M0457_PREDICTION_INDICATIONS
   for(Int layer = 0; layer < MAX_LAYERS; layer++)
   {
@@ -1253,37 +1220,5 @@
     }
   }
-#else
-  for(Int layer = 0; layer < MAX_LAYERS; layer++)
-  {
-    Char* pRefLayerIds = cfg_refLayerIds[layer].empty() ? NULL: strdup(cfg_refLayerIds[layer].c_str());
-    if( m_acLayerCfg[layer].m_numDirectRefLayers > 0 )
-    {
-      char *refLayerId;
-      int  i=0;
-      m_acLayerCfg[layer].m_refLayerIds = new Int[m_acLayerCfg[layer].m_numDirectRefLayers];
-      refLayerId = strtok(pRefLayerIds, " ,-");
-      while(refLayerId != NULL)
-      {
-        if( i >= m_acLayerCfg[layer].m_numDirectRefLayers )
-        {
-          printf( "NumDirectRefLayers: The number of columns whose width are defined is larger than the allowed number of columns.\n" );
-          exit( EXIT_FAILURE );
-        }
-        *( m_acLayerCfg[layer].m_refLayerIds + i ) = atoi( refLayerId );
-        refLayerId = strtok(NULL, " ,-");
-        i++;
-      }
-      if( i < m_acLayerCfg[layer].m_numDirectRefLayers )
-      {
-        printf( "NumDirectRefLayers: The width of some columns is not defined.\n" );
-        exit( EXIT_FAILURE );
-      }
-    }
-    else
-    {
-      m_acLayerCfg[layer].m_refLayerIds = NULL;
-    }
-  }
-#endif
+
 #if AUXILIARY_PICTURES
   for(UInt layer = 0; layer < MAX_LAYERS; layer++)
@@ -2231,5 +2166,4 @@
   }
 #if VPS_EXTN_DIRECT_REF_LAYERS
-#if M0457_PREDICTION_INDICATIONS
   xConfirmPara( (m_acLayerCfg[0].m_numSamplePredRefLayers != 0) && (m_acLayerCfg[0].m_numSamplePredRefLayers != -1), "Layer 0 cannot have any reference layers" );
   // NOTE: m_numSamplePredRefLayers  (for any layer) could be -1 (not signalled in cfg), in which case only the "previous layer" would be taken for reference
@@ -2254,22 +2188,9 @@
     }
   }
-#else
-  xConfirmPara( (m_acLayerCfg[0].m_numDirectRefLayers != 0) && (m_acLayerCfg[0].m_numDirectRefLayers != -1), "Layer 0 cannot have any reference layers" );
-  // NOTE: m_numDirectRefLayers  (for any layer) could be -1 (not signalled in cfg), in which case only the "previous layer" would be taken for reference
-  for(Int layer = 1; layer < MAX_LAYERS; layer++)
-  {
-    xConfirmPara(m_acLayerCfg[layer].m_numDirectRefLayers > layer, "Cannot reference more layers than before current layer");
-    for(Int i = 0; i < m_acLayerCfg[layer].m_numDirectRefLayers; i++)
-    {
-      xConfirmPara(m_acLayerCfg[layer].m_refLayerIds[i] > layer, "Cannot reference higher layers");
-      xConfirmPara(m_acLayerCfg[layer].m_refLayerIds[i] == layer, "Cannot reference the current layer itself");
-    }
-  }
-#endif
+
   xConfirmPara( (m_acLayerCfg[0].m_numActiveRefLayers != 0) && (m_acLayerCfg[0].m_numActiveRefLayers != -1), "Layer 0 cannot have any active reference layers" );
   // NOTE: m_numActiveRefLayers  (for any layer) could be -1 (not signalled in cfg), in which case only the "previous layer" would be taken for reference
   for(Int layer = 1; layer < MAX_LAYERS; layer++)
   {
-#if M0457_PREDICTION_INDICATIONS
     Bool predEnabledFlag[MAX_LAYERS];
     for (Int refLayer = 0; refLayer < layer; refLayer++)
@@ -2295,13 +2216,6 @@
       xConfirmPara(m_acLayerCfg[layer].m_predLayerIds[i] >= numDirectRefLayers, "Cannot reference higher layers");
     }
-#else
-    xConfirmPara(m_acLayerCfg[layer].m_numActiveRefLayers > m_acLayerCfg[layer].m_numDirectRefLayers, "Cannot reference more layers than NumDirectRefLayers");
-    for(Int i = 0; i < m_acLayerCfg[layer].m_numActiveRefLayers; i++)
-    {
-      xConfirmPara(m_acLayerCfg[layer].m_predLayerIds[i] >= m_acLayerCfg[layer].m_numDirectRefLayers, "Cannot reference higher layers");
-    }
-#endif
-  }
-#endif
+  }
+#endif //VPS_EXTN_DIRECT_REF_LAYERS
 #if M0040_ADAPTIVE_RESOLUTION_CHANGE
   if (m_adaptiveResolutionChange > 0)
@@ -2435,4 +2349,7 @@
 #if N0147_IRAP_ALIGN_FLAG
   printf("Cross layer IRAP alignment    : %d\n", m_crossLayerIrapAlignFlag );
+#endif
+#if O0194_WEIGHTED_PREDICTION_CGS
+  printf("InterLayerWeightedPred        : %d\n", m_useInterLayerWeightedPred );
 #endif
   for(UInt layer=0; layer<m_numLayers; layer++)
@@ -2581,5 +2498,4 @@
   printf("O0194_DIFFERENT_BITDEPTH_EL_BL: %d ", O0194_DIFFERENT_BITDEPTH_EL_BL);
   printf("O0194_JOINT_US_BITSHIFT: %d ", O0194_JOINT_US_BITSHIFT);
-  printf("O0194_WEIGHTED_PREDICTION_CGS: %d ",O0194_WEIGHTED_PREDICTION_CGS);
 #else
   printf("RecalQP:%d", m_recalculateQPAccordingToLambda ? 1 : 0 );
Index: trunk/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- trunk/source/App/TAppEncoder/TAppEncCfg.h	(revision 586)
+++ trunk/source/App/TAppEncoder/TAppEncCfg.h	(revision 588)
@@ -72,7 +72,4 @@
 #if AVC_SYNTAX
   Char*     m_BLSyntaxFile;                                   ///< input syntax file
-#endif
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-  Int       m_ilSampleOnlyPred[ MAX_LAYERS ];
 #endif
 #if N0120_MAX_TID_REF_CFG
@@ -283,6 +280,6 @@
   Int       m_gradualDecodingRefreshInfoEnabled;
   Int       m_decodingUnitInfoSEIEnabled;
-#if M0043_LAYERS_PRESENT_SEI
-  Int       m_layersPresentSEIEnabled;
+#if LAYERS_NOT_PRESENT_SEI
+  Int       m_layersNotPresentSEIEnabled;
 #endif
   Int       m_SOPDescriptionSEIEnabled;
@@ -384,14 +381,17 @@
 #endif
 #if O0215_PHASE_ALIGNMENT
-  Bool m_phaseAlignFlag;
+  Bool      m_phaseAlignFlag;
 #endif
 #if O0223_PICTURE_TYPES_ALIGN_FLAG
-  Bool m_crossLayerPictureTypeAlignFlag;
+  Bool      m_crossLayerPictureTypeAlignFlag;
 #endif
 #if N0147_IRAP_ALIGN_FLAG
-  Bool m_crossLayerIrapAlignFlag;
+  Bool      m_crossLayerIrapAlignFlag;
 #endif
 #if O0149_CROSS_LAYER_BLA_FLAG
-  bool      m_crossLayerBLAFlag;
+  Bool      m_crossLayerBLAFlag;
+#endif
+#if O0194_WEIGHTED_PREDICTION_CGS
+  Bool      m_useInterLayerWeightedPred;
 #endif
 public:
Index: trunk/source/App/TAppEncoder/TAppEncLayerCfg.h
===================================================================
--- trunk/source/App/TAppEncoder/TAppEncLayerCfg.h	(revision 586)
+++ trunk/source/App/TAppEncoder/TAppEncLayerCfg.h	(revision 588)
@@ -48,13 +48,8 @@
 #endif
 #if VPS_EXTN_DIRECT_REF_LAYERS
-#if M0457_PREDICTION_INDICATIONS
   Int       *m_samplePredRefLayerIds;
   Int       m_numSamplePredRefLayers;
   Int       *m_motionPredRefLayerIds;
   Int       m_numMotionPredRefLayers;
-#else
-  Int       *m_refLayerIds;
-  Int       m_numDirectRefLayers;
-#endif
   Int       *m_predLayerIds;
   Int       m_numActiveRefLayers;
@@ -153,5 +148,4 @@
   Int*    getdQPs()                   {return m_aidQP;            }
 #if VPS_EXTN_DIRECT_REF_LAYERS
-#if M0457_PREDICTION_INDICATIONS
   Int     getNumSamplePredRefLayers()    {return m_numSamplePredRefLayers;   }
   Int*    getSamplePredRefLayerIds()     {return m_samplePredRefLayerIds;    }
@@ -160,9 +154,4 @@
   Int*    getMotionPredRefLayerIds()     {return m_motionPredRefLayerIds;    }
   Int     getMotionPredRefLayerId(Int i) {return m_motionPredRefLayerIds[i]; }
-#else
-  Int     getNumDirectRefLayers()     {return m_numDirectRefLayers;}
-  Int*    getRefLayerIds()            {return m_refLayerIds;      }
-  Int     getRefLayerId(Int i)        {return m_refLayerIds[i];   }
-#endif
 
   Int     getNumActiveRefLayers()     {return m_numActiveRefLayers;}
